# DROP Patch NOTE

이 문서는 커스텀 리듬게임 **DROP**의 패치노트에 관하여 설명하고 있습니다. 이 문서를 읽어보시기 전에 동봉된 `readme.txt` 파일과 `license.txt` 파일을 읽어 주십시오.

---

## V1.0

### V1.0

* (+) 프로토타입 완성
* (+) 기타 버그 해결

### V1.0.1

* (+) 공식 오류 해결
* (+) 노트 처리 방식 변경
* (+) 스테이지 커스터마이징 기능 추가
* (+) 디자인 변경

### V1.0.2

* (+) Noter 추가
* (+) 노트 길이 변경
* (+) 판정 수정 *조금 느슨해짐*
* (+) 스코어링 기능 추가
* (+) 콤보 기능 추가
* (+) 콤보 러시 기능 추가

### V1.0.3

* (+) Noter 노트배분 오류 해결
* (+) 동시타 입력불가 오류 해결
* (-) 스테이지 이펙팅 커스터마이징 기능 삭제 *이 기능으로 인한 버그가 매우 많음*



## V1.1

### V1.1.0.0

* (+) 스타팅 화면 추가

### V1.1.0.1

* (+) `audio` 실행 불가 오류 해결
* (+) `iframe` 로드 불가 오류 해결
* (+) 스타팅 화면 이후 곡 선택 화면 추가

### V1.1.0.2

* (+) 하이스코어링 디자인 추가
* (+) Copyright 디자인 추가
* (+) 곡 선택 버튼 디자인 추가
* (+) `stageList.json` 파일 추가 및 내용 이전
* (-) 퓨어 오프라인 기능 삭제, `Apache` 기반 웹게임으로 전향

### V1.1.0.3

* (+) 음악 1곡 추가 (Arche! - 궁(宮))
* (+) 음악 변경 시 부드러운 애니메이션 적용
* (+) UI 변경
* (+) 오디오 스펙트럼(비주얼라이저) 적용  *Made by Nick Jones, 파일 내에 자세한 저작권자 정보가 표시되어 있음*

### V1.1.0.4

* (+) 난이도 선택 창 추가
* (+) 마지막으로 선택한 곡을 저장하는 기능 추가 *`localStorage` 활용*
* (+) 제목 제2언어 기능 추가 및 적용
* (+) 오디오 플레이어 기본 볼륨 하향조정
* (+) 클릭 인식 불가 오류 해결

### V1.1.1

* (+) 곡 플레이 기능 추가
* (+) 최고기록 저장 기능 추가
* (+) 랭크 기능 추가
* (+) 곡 딜레이 맞춤
* (+) 첫 번째 곡(*봄날의 자전거*) 쉬움 스테이지 추가

---

> 현재 버전 : DROP! V1.1.1



Drop ⓒ 2021 Team Decuple, All rights reserved.
해당 웹 게임에 사용된 모든 데이터와 자료들은 저작권에 관한 법률에 의해 보호를 받을 수 있습니다.
그림, 음악의 사용에 대한 카피라이트는 모두 음악 선택 화면에서 확인할 수 있습니다.